/*
 Navicat Premium Dump SQL

 Source Server         : 47.104.188.84-sim
 Source Server Type    : MySQL
 Source Server Version : 80020 (8.0.20)
 Source Host           : 47.104.188.84:65006
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 80020 (8.0.20)
 File Encoding         : 65001

 Date: 23/12/2024 19:14:28
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sim_real_exam
-- ----------------------------
DROP TABLE IF EXISTS `sim_real_exam`;
CREATE TABLE `sim_real_exam`  (
  `exam_id` bigint NOT NULL DEFAULT 0 AUTO_INCREMENT COMMENT '考试ID',
  `exam_collection_id` bigint NOT NULL DEFAULT 0 COMMENT '考试集合ID',
  `user_id` bigint NOT NULL DEFAULT 0 COMMENT '学员ID/用户ID',
  `seat_id` bigint NOT NULL COMMENT '座ID',
  `sim_id` bigint NOT NULL DEFAULT 0 COMMENT '模拟器ID',
  `exam_status` char(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '考试状态:[0]-未登录,[1]-已登录,[2]-模拟器检查并下发故障中,[3]:模拟器检查OK可开考,[4]-答题中,[5]-已交卷,[6]-计算成绩中,[7]-获取到成绩报告,[80]-教师标记缺考,[81]-登录未开始答题,[90]-模拟器异常结束',
  `total_score` int NULL DEFAULT NULL COMMENT '总分:累加扣分和计算出总分',
  `deduction_total_score` int NULL DEFAULT NULL COMMENT '扣分总计,不计超时扣分',
  `start_time` datetime NULL DEFAULT NULL COMMENT '考试实际开始时间(毫秒)',
  `end_time` datetime NULL DEFAULT NULL COMMENT '考试实际结束时间(毫秒)',
  `login_time` datetime NULL DEFAULT NULL COMMENT '登录时间',
  `logout_time` datetime NULL DEFAULT NULL COMMENT '登出时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`exam_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-考试表' ROW_FORMAT = DYNAMIC;

SET FOREIGN_KEY_CHECKS = 1;
